curl --request GET \
--url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Number": "A1004465",
"ExternalNumber": "D456-64894-132",
"BillingNumber": "RE-202404-10000",
"CompanyId": 123,
"DepartureCountry": {
"CountryISO": "DE",
"State": "Berlin",
"CurrencyIso": "EUR",
"CurrencyFactor": 1
},
"CustomerId": 123,
"CustomerVatID": "DE12345",
"MerchantVatID": "DE12345",
"BillingAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"Shipmentaddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"SalesOrderDate": "2023-02-01T12:45:00.0000000+00:00",
"SalesOrderPaymentDetails": {
"PaymentMethodId": 123,
"PaymentStatus": 0,
"TotalGrossAmount": 19.99,
"CurrencyIso": "EUR",
"CurrencyFactor": 1,
"DateOfPayment": "2023-01-15T13:00:00.0000000+00:00",
"StillToPay": 0,
"PaymentTarget": 0,
"CashDiscount": 5,
"CashDiscountDays": 2
},
"SalesOrderShippingDetail": {
"ShippingMethodId": 123,
"DeliveryCompleteStatus": 0,
"ShippingPriority": 5,
"ShippingDate": "2023-01-15T13:00:00.0000000+00:00",
"EstimatedDeliveryDate": "2023-01-16T13:00:00.0000000+00:00",
"DeliveredDate": "2023-01-15T13:00:00.0000000+00:00",
"OnHoldReasonId": 123,
"ExtraWeight": 0.1
},
"ColorcodeId": 123,
"IsExternalInvoice": false,
"Comment": "an additional order comment",
"CustomerComment": "an additional customer comment",
"IsCancelled": false,
"LanguageIso": "DE",
"CancellationDetails": {
"CancellationReasonId": 123,
"CancellationComment": "Change of mind (once again); we should consider terminating the customer relationship",
"Date": "2023-02-01T12:45:00.0000000+00:00"
},
"SalesChannelId": "1-1-1",
"UserCreatedId": 123,
"UserId": 123,
"TransactionStatusId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Get Sales Order
Get a specific sales order
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
Returns the sales order for the given id.
Model Class: SalesOrder
The number of the sales order.
"A1004465"
The external number of the sales order.
"D456-64894-132"
The number of the invoice.
"RE-202404-10000"
Model Class: DepartureCountry
Show child attributes
Show child attributes
The VAT ID of the customer.
"DE12345"
The VAT ID of the merchant.
"DE12345"
Model Class: Address
Show child attributes
Show child attributes
Model Class: Address
Show child attributes
Show child attributes
The date when the order was created.
"2023-02-01T12:45:00.0000000+00:00"
Model Class: SalesOrderPaymentDetail
Show child attributes
Show child attributes
Model Class: SalesOrderShippingDetail
Show child attributes
Show child attributes
Indicates if the invoice of the order was created in an external system, like Amazon VCS.
false
A comment on the sales order.
"an additional order comment"
A customer comment on the sales order.
"an additional customer comment"
Indicates if the order has been cancelled. There is a special endpoint for cancelling sales orders.
false
The language of the order.
"DE"
Model Class: SalesOrderCancellationDetails
Show child attributes
Show child attributes
"1-1-1"
Was this page helpful?